%define anolis_release 1

Summary:	The ASN.1 library used in GNUTLS
Name:		libtasn1
Version:	4.19.0
Release:	%{anolis_release}%{?dist}

# The libtasn1 library is LGPLv2+, utilities are GPLv3+
License:	GPLv3+ and LGPLv2+
URL:		http://www.gnu.org/software/libtasn1/
Source0:	http://ftp.gnu.org/gnu/libtasn1/%name-%version.tar.gz
Source1:	http://ftp.gnu.org/gnu/libtasn1/%name-%version.tar.gz.sig
Source2:        gpgkey-B1D2BD1375BECB784CF4F8C4D73CF638C53C06BE.gpg

BuildRequires:	gnupg2
BuildRequires:	gcc
BuildRequires:	bison, pkgconfig, help2man
BuildRequires:	autoconf, automake, libtool
BuildRequires:	valgrind-devel
BuildRequires:  make
BuildRequires:  gtk-doc

Provides: bundled(gnulib) = 20130324

%package devel
Summary:	Files for development of applications which will use libtasn1
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-tools = %{version}-%{release}

%package tools
Summary:	Some ASN.1 tools
License:	GPLv3+
Requires:	%{name} = %{version}-%{release}


%description
A library that provides Abstract Syntax Notation One (ASN.1, as specified
by the X.680 ITU-T recommendation) parsing and structures management, and
Distinguished Encoding Rules (DER, as per X.690) encoding and decoding functions.

%description devel
This package contains files for development of applications which will
use libtasn1.


%description tools
This package contains simple tools that can decode and encode ASN.1
data.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
gpgv2 --keyring %{SOURCE2} %{SOURCE1} %{SOURCE0}
%setup -q

%build
autoreconf -v -f --install
%configure --disable-static --disable-silent-rules
# libtasn1 likes to regenerate docs
touch doc/stamp_docs

%make_build

%install
%make_install

%check
make check

%files
%license COPYING doc/COPYING*
%{_libdir}/*.so.6*

%files doc
%doc AUTHORS NEWS README.md

%files tools
%{_bindir}/asn1*
%{_mandir}/man1/asn1*

%files devel
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*
%{_infodir}/*.info.*
%{_mandir}/man3/*asn1*

%changelog
* Tue Oct 11 2022 Funda Wang <fundawang@yeah.net> - 4.19.0-1
- New verison 4.19.0

* Sat Oct 08 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 4.18.0-2
- add doc package

* Tue Mar 08 2022 Hongwei Qin <qhw01063182@alibaba-inc.com> - 4.18.0-1
- Update to 4.18.0
- Init for Anolis OS 23
